Subject: query regarding auditReply

From: [email-masked]
Date: Wed, 27 Jun 2001 19:42:34 +0530

Hi all,
              The MEGACO ABNF grammar has,
 auditReply = (AuditValueToken / AuditCapToken)(contextTerminationAudit /
auditOther)
 auditOther = EQUAL TerminationID LBRKT terminationAudit RBRKT
 contextTerminationAudit = EQUAL CtxToken (terminationIDList / LBRKT
errorDescriptor  RBRKT)

now, if the terminationID in auditOther is "Context" (which is a bit unlikely,
but technically it IS possible)
the parser has no clue as to its parsing auditOther or contextTerminationAudit.

What if the MEGACO message is to be parsed by a parser with no lookahead
whatsoever.
Can't we have all the MEGACO tokens as reserved keywords, thus makin the life of
MEGACO parser developer a bit easier ;-)

Regards,
B.S.Gill